package models

import (
	"go-admin/common/models"
)

type LineUserProfitLogs struct {
	models.Model

	UserId     int64  `json:"userId" gorm:"type:int unsigned;comment:line_user 表的id"`
	ApiId      int64  `json:"apiId" gorm:"type:int unsigned;comment:line_apiuser 表的id"`
	PreOrderId int64  `json:"preOrderId" gorm:"type:int unsigned;comment:line_pre_order 止盈单id"`
	Num        string `json:"num" gorm:"type:decimal(18,8);comment:成交数量"`
	Symbol     string `json:"symbol" gorm:"type:varchar(255);comment:交易对"`
	Rate       string `json:"rate" gorm:"type:decimal(10,5);comment:盈利比例"`
	Amount     string `json:"amount" gorm:"type:decimal(18,5);comment:盈利金额（换算成U的价值）"`
	models.ModelTime
	models.ControlBy
}

func (LineUserProfitLogs) TableName() string {
	return "line_user_profit_logs"
}

func (e *LineUserProfitLogs) Generate() models.ActiveRecord {
	o := *e
	return &o
}

func (e *LineUserProfitLogs) GetId() interface{} {
	return e.Id
}
